Katello - Bug #6803

ISE when search form is auto-completing repo name: PGError: ERROR: column reference "id" is
ambiguous...

07/28/2014 02:40 PM - Brad Buckingham
Priority: Normal
Assignee: Brad Buckingham
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1115308 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/449
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1115308
Description of problem:
ISE when search form is auto-completing repo name: PGError: ERROR: column reference "id" is ambiguous...

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140626.1

How reproducible:
always

Steps to Reproduce:

1. Sync some repo, e.g. | had "Sat6 tools" or something

2. Display packages search form:

Content -> Content Search -> Content: Packages

3. In Repositories section switch to "Auto-complete repos" and type "Sat" and
wait a bit auto-competition can start

Actual results:
Error appears:

PGError: ERROR: column reference "id" is ambiguous LINE 1: SELECT id FROM "katello_repositories" I
NNER JOIN "katello_pr... ”~ : SELECT id FROM "katello_repositories" INNER JOIN "katello_products" O
N "katello_products"."id" = "katello_repositories”."product_id" INNER JOIN "katello_content_view_v
ersions" ON "katello_content_view_versions"."id" = "katello_repositories"."content_view_version_id
" WHERE "katello_content_view_versions"."content_view_id" IN (1) AND "katello_repositories"."produ
ct_id" IN (1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24,
25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49
, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73,
74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95) ORDER BY k
atello_repositories.name ASC (ActiveRecord::StatementInvalid)
Click here for more details.

Expected results:
Should work

Associated revisions

Revision 50a6d134 - 07/28/2014 02:41 PM - Brad Buckingham

fixes #6803 / BZ 1115308 - content search - fix sql errors on product/repo auto-complete

The sql used for auto-complete was generating 'ambiguous' errors in the
production configuration.

E.g.
https://bugzilla.redhat.com/show_bug.cgi?id=1115308

PGError: ERROR: column reference "id" is ambiguous LINE 1: SELECT id FROM "katello_repositories" INNER JOIN "katello_pr... » : SELECT id
FROM "katello_repositories” INNER JOIN "katello_products" ON "katello_products"."id" = "katello_repositories"."product_id" INNER JOIN
"katello_content_view_versions" ON "katello_content_view_versions"."id" = "katello_repositories"."content_view_version_id" WHERE
"katello_content_view_versions"."content_view_id" IN (1) AND "katello_repositories"."product_id" IN (1, 2, 3, 4, 5, 6, 7, 8,9, 10, 11, 12, 13, 14, 15, 16,
17,18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55,
56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94,
95) ORDER BY Kkatello_repositories.name ASC (ActiveRecord::Statementinvalid)

Revision 9d710cbb - 07/29/2014 08:52 AM - Brad Buckingham
Merge pull request #4493 from bbuckingham/issue-6803

fixes #6803 / BZ 1115308 - content search - fix sqgl errors on product/repo auto-complete

History

#1 - 07/28/2014 02:49 PM - Brad Buckingham
- Assignee set to Brad Buckingham
- Target version set to 54

- Triaged changed from No to Yes

#2 - 07/28/2014 02:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4493 added
- Pull request deleted ()

#3 - 07/29/2014 09:01 AM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|50a6d1344ad3934047f0e33d34dbc66f182f0f15.

#4 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
